package org.servicemix.components.xfire;

import java.io.ByteArrayOutputStream;

import javax.jbi.JBIException;
import javax.jbi.messaging.MessageExchange;
import javax.jbi.messaging.MessagingException;
import javax.jbi.messaging.NormalizedMessage;
import javax.xml.stream.XMLStreamReader;

import org.codehaus.xfire.MessageContext;
import org.codehaus.xfire.XFire;
import org.codehaus.xfire.exchange.InMessage;
import org.codehaus.xfire.transport.Channel;
import org.codehaus.xfire.transport.Transport;
import org.codehaus.xfire.transport.local.LocalTransport;
import org.servicemix.jbi.binding.OutBinding;
import org.servicemix.jbi.messaging.MessageExchangeImpl;

public class XFireBinding extends OutBinding {
    private XMarshaler marshaler;

    private XFire xfire;

    public XFireBinding()
    {
        super();

        this.marshaler = new XMarshaler();
    }
    
    protected void process(MessageExchange messageExchange, NormalizedMessage nm)
            throws MessagingException {
        try {
            XMLStreamReader reader = marshaler.createStreamReader(nm);

            if (reader == null) 
            {
                fail(messageExchange, new JBIException("Could not get source as XMLStreamReader."));
                return;
            }
            
            InMessage in = new InMessage(reader, "");
            MessageContext context = new MessageContext();
            context.setXFire(xfire);
            context.setService(xfire.getServiceRegistry().getService(getService().getLocalPart()));

            ByteArrayOutputStream buffer = new ByteArrayOutputStream();
            context.setProperty(Channel.BACKCHANNEL_URI, buffer);
            
            Transport transport = 
                xfire.getTransportManager().getTransport(LocalTransport.NAME);
            Channel channel = transport.createChannel();
            channel.receive(context, in);

            NormalizedMessage outMessage = messageExchange.createMessage();

            marshaler.setContent(outMessage, buffer.toString());
            marshaler.toNMS(outMessage, context.getOutMessage());

            ((MessageExchangeImpl) messageExchange).setOutMessage(outMessage);

            done(messageExchange);
        } catch (Exception e) {
            fail(messageExchange, e);
        }
    }

    public XFire getXfire() {
        return xfire;
    }

    public void setXfire(XFire xfire) {
        this.xfire = xfire;
    }
}
